@tailwind base;
@tailwind components;
@tailwind utilities;

.dark-mode-transition * {
  @apply transition duration-500 ease-in-out;
}

body {
  @apply bg-background;
  @apply text-primary;
  @apply font-body;
}

h1,h2,h3,h4,h5,h6 {
  @apply font-header font-bold;
}
h1 {
  @apply text-5xl mt-2 mb-4;
}
h2 {
  @apply text-2xl mb-2 mt-1;
}
h3 {
  @apply text-xl mt-1 mb-2;
}

p {
  @apply mb-2;
}

a {
  @apply underline;
  transition: color 300ms;
}
a:hover {
  @apply text-secondary;
}

/* FORMS */
label {
  @apply block mb-2;
}
input, textarea {
  @apply shadow-xs appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight;
}